#
# keypress.py - simulation of key presses
#

import e32

if e32.s60_version_info>=(3,0):
    import imp
    _keypress = imp.load_dynamic('_keypress', 'c:\\sys\\bin\\_keypress.pyd')
    
else:
    import _keypress

del e32, imp # remove unnecessary names from namespace
from _keypress import *
del _keypress

# version
# note: pre-1.0.5 didn't had this so check using hasattr() first
# or use getattr(keypress, 'version', '1.0.0')
version = '1.0.6'
version_info = tuple(version.split('.'))

# events for simulate_event(), same as in appuifw
# (as they come from Symbian C++ header files)
EEventKey = 1
EEventKeyUp = 2
EEventKeyDown = 3

# event types for send_raw_event()
(ENone,
EPointerMove,
EPointerSwitchOn,
EKeyDown,
EKeyUp,
ERedraw,
ESwitchOn,
EActive,
EInactive,
EUpdateModifiers,
EButton1Down,
EButton1Up,
EButton2Down,
EButton2Up,
EButton3Down,
EButton3Up,
ESwitchOff,
EKeyRepeat,
ECaseOpen,
ECaseClose) = range(20)

# the following is for compatibility with pre-1.0.5

# the additional argument of pre-1.0.5 simulate_key_mod() function is now
# supported by simulate_key() function too (as an optional argument);
# as such, the simulate_key_mod() is now deprecated
simulate_key_mod = simulate_key

def simulate_keyMenu():
    # the name of this function is a bit confusing as it
    # simulates the right softkey; use of this function is
    # deprecated, use simulate_key() directly instead
    
    # EKeyDevice1 (EKeyRightSoftkey), EStdKeyDevice1
    return simulate_key(63555, 165)
